﻿<div class="col-xs-12 col-md-3">
    <section class="app__section">
        <div class="app__section__header">
           ثبت کارکرد جدید
        </div>
        <div class="app__section__body">
            <div class="row">
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            انتخاب قیمت مصوب
                        </label>
                        <div id="addPriceComboParent">
                            @{ Html.RenderAction("AddPriceCombo", "Karkard"); }
                        </div>
                        <div id="addPriceComboError"
                             class="app__form-error app__hide">
                            قیمت مصوب انتخاب نشده است
                        </div>
                    </div>
                </div>
                
            </div>

            <div class="row">
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            انتخاب مشتری
                        </label>
                        <div id="addFormCustomerComboParent">
                            @{ Html.RenderAction("AddCustomerCombo", "Karkard"); }
                        </div>
                        <div id="addFormCustomerComboError"
                             class="app__form-error app__hide">
                            مشتری انتخاب نشده است
                        </div>
                    </div>
                </div>
                <div class="col-xs-12 ">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            انتخاب مغازه مشتری
                        </label>
                        <div id="addCustomerShopComboParent">
                            @{ Html.RenderAction("AddFormCustomerShopCombo", "Karkard"); }
                        </div>
                        <div id="addCustomerShopComboError"
                             class="app__form-error app__hide">
                            مغازه انتخاب نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            تاریخ شروع
                        </label>
                        <input type="text" class="app__form-datepicker"
                               id="addFormStartDatePicker"
                               placeholder="تاریخ شروع"
                               data-mddatetimepicker="true"
                               data-englishnumber="true"
                               data-targetdateselector="#addFormStartDatePicker" />
                        <div class="app__form-error app__hide" id="addFormStartDatePickerError">
                            فرمت تاریخ شروع معتبر نمی باشد
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            مقدار کارکرد
                        </label>
                        <div id="addKarkardStartInputParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "addKarkardStartInput";
                                settings.Properties.NullText = "مقدار کارکرد را وارد کنید";
                            }).GetHtml()
                        </div>
                        <div id="addKarkardStartInputError"
                             class="app__form-error app__hide">
                            مقدار مصرف وارد نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            تاریخ اتمام
                        </label>
                        <input type="text" class="app__form-datepicker"
                               id="AddFormEndDatePicker"
                               placeholder="تاریخ اتمام"
                               data-mddatetimepicker="true"
                               data-englishnumber="true"
                               data-targetdateselector="#AddFormEndDatePicker" />
                        <div class="app__form-error app__hide" id="AddFormEndDatePickerError">
                            فرمت تاریخ اتمام معتبر نمی باشد
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="app__form-item">
                        <label class="app__form-label">
                            مقدار کارکرد
                        </label>
                        <div id="addKarkardStartInputParent">
                            @Html.DevExpress().TextBox(settings =>
                            {
                                settings.Name = "addKarkardEndtInput";
                                settings.Properties.NullText = "مقدار کارکرد نهایی";
                            }).GetHtml()
                        </div>
                        <div id="addKarkardEndInputError"
                             class="app__form-error app__hide">
                            مقدار مصرف وارد نشده است
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <div class="app__form-item app__form-item--action">
                        @Html.DevExpress().Button(settings =>
                        {
                            settings.Name = "addFormSaveBtn";
                            settings.Text = "ثبت کارکرد";
                            settings.UseSubmitBehavior = false;
                            settings.EnableClientSideAPI = true;
                            settings.Styles.CssPostfix = "filter-form__btn";
                            settings.ClientSideEvents.Click =
                                "motorsazanClient.karkard.addExpence";
                        }).GetHtml()
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>